NETWORKMANAGER(8)

NAME
NetworkManager - network management daemon

SYNOPSIS
NetworkManager [--no-daemon]

DESCRIPTION
The NetworkManager daemon attempts to make networking configuration and operation as painless and automatic as possible by managing the primary network connection and other network interfaces, like Ethernet, WiFi, and Mobile Broadband devices. NetworkManager will connect any network device when a connection for that device becomes available, unless that behavior is disabled. Information about networking is exported via a D-Bus interface to any interested application, providing a rich API with which to inspect and control network settings and operation.

NetworkManager will execute scripts in the /etc/NetworkManager/dispatcher.d
    directory in alphabetical order in response to network events. Each script should be (a) a regular file, (b) owned by root, (c) not writable by group or other, (d) not set-uid, (e) and executable by the owner. Each script receives two arguments, the first being the interface name of the device just activated, and second an action.

up  The interface has been activated. The environment contains more information about the interface; CONNECTION_UUID contains the UUID of the connection. Other variables are IP4_ADDRESS_N where N is a number from 0 to (# IPv4 addresses - 1), in the format "address/prefix gateway". IP4_NUM_ADDRESSES contains the number addresses the script may expect. IP4_NAMESERVERS contains a space-separated list of the DNS servers, and IP4_DOMAINS contains a space-separated list of the search domains. Routes use the format IP4_ROUTE_N where N is a number from 0 to (# IPv4 routes - 1), in the format "address/prefix next-hop metric", and IP4_NUM_ROUTES contains the number of routes to expect. If the connection used DHCP for address configuration, the received DHCP configuration is passed in the environment using standard DHCP option names, prefixed with "DHCP4_", like "DHCP4_HOST_NAME=foobar".

down
    The interface has been deactivated.

vpn-up
    A VPN connection has been activated. The environment contains the connection UUID in the variable CONNECTION_UUID.

vpn-down
    A VPN connection has been deactivated.

hostname
    The system hostname has been updated. Use gethostname(2) to retrieve it.

OPTIONS
The following options are supported:

--no-daemon
    Do not daemonize. This is useful for debugging, and directs log output to the controlling terminal in addition to syslog.

SEE ALSO
nm-tool(1)